πρόβλημα σe GIMP 2.10 (σε 16.04)
#1
έκανα εγκατάσταση της έκδοσης 2,10 του gimp από τη σελίδα https://snapcraft.io/store και δεν μπορώ να ανοίξω ( είτε με σύρσιμο είτε από το πρόγραμμα ) εικόνες που δεν είναι στον δίσκο που είναι εγκατεστημένο το λειτουργικό.
Όταν προσπαθώ να ανοίξω εικόνες από το πρόγραμμα δεν δείχνει τους άλλους δίσκους και όταν βρίσκω συνδέσμους για αυτούς δεν τους ακολουθεί αλλά βγάζει μήνυμα :

Κώδικας:
μη κανονικό αρχείο
.


Όταν προσπαθώ να σύρω εικόνες μέσα στο πρόγραμμα με βγάζει μήνυμα:
Κώδικας:
Αδυναμία ανοίγματος '/mnt/4E8250B43BDEC8F4/Λουκάς/ασδ1.png' για ανάγνωση: No such file or directory
Με εικόνες που διαλέγω από τον δίσκο του λειτουργικού δουλεύει κανονικά.

Καθώς έχω ήδη την έκδοση 2.8 το μόνο εξτρά που πρόλαβα να παρατηρήσω πως υπάρχει και θα ήθελα να το έχω είναι το εργαλείο " Μετασχηματισμός στρέβλωσης"  . Οπότε αν υπάρχει τρόπος να εμπλουτιστεί η εργαλειοθήκη της 2,8 τότε καλύπτομαι.
  Απάντηση
#2
μηπως... λεω μηπως... υποθεσεις κανω... κατι δεν το παει καλα με τα ελληνικα, η, την κωδικοποιηση; τα περισσοτερα συστηματα πλεον εχουν utf-8 κωδικοποιηση σαν προεπιλογη και τη γλωσσα που εχεις επιλεξει στην εγκατασταση. το λεω γιατι εγω που εχω αγγλικα με posix κωδικοποιηση (πεταξα κατι βλακειες που πηραν μαζι τους και την utf-8 κωδικοποιηση) εχω καποια ψευτοθεματακια με ελληνικες ονομασιες. αν δηλαδη κατεβασω καποιο αρχειο με ελληνικη ονομασια το βγαζει με κατι ηλιθιους χαρακτηρες που δεν βγαζουν νοημα (κατι ερωτηματικα αναποδα, κατι ρομβακια, και κατι τετοια) και δεν ανοιγει με τιποτα. αν το μετονομασω (ακομα και αν βαλω παλι ελληνικο ονομα) με κανονικους χαρακτηρες ανοιγει πλεον μια χαρα

αν το δωσεις να ανοιξεις το αρχειο στο gimp2.10 με εντολη τι σε βγαζει; π.χ. να δωσεις κατι σαν «gimp2.10ταδε '/mnt/εικονες/η φατσα μου.png', σε βγαζει κατι αποκατω που να εξηγει το λογο που δεν ανοιγει το αρχειο που θελεις να ανοιξεις; δοκιμασε απο περιεργεια να το μεταφερεις στον βασικο σκληρο και να ξαναδοκιμασεις αν ανοιγει. επισης δοκιμασε να το ανοιξεις στον σκληρο που ηδη ειναι και με καποιο αλλο προγραμμα π.χ. τον γκοτζιλλα, αν δεν ειναι xcf του gimp και ειναι π.χ. jpeg, gif, png, κλπ. αυτο το κανεις για να διαπιστωσεις οτι δεν ειναι σαπιο το αρχειο. αν με τον γκοτζιλλα ανοιγει τοτε δεν φταιει ουτε το αρχειο ουτε η γλωσσα/κωδικοποιηση, ουτε ο σκληρος, αλλα το προσθετο gimp που εβαλες δεν περασε σωστα

Υ.Γ: ρε παιδια το λεμε συνεχεια. μην βαζετε προσθετα και τετοια στα συστηματα σας. βγαζουν πιο πολλα προβληματα αποσα λυνουν. δεν αξιζει. απο τα 10 θεματα που εχουν μπει αυτη τη βδομαδα τα 3 ειναι προβληματα που προεκυψαν απο προσθετες πηγες και προγραμματα, γιατι καποιες ανευθυνες σελιδες παρουσιαζουν την προσθηκη προσθετων σαν κατι πανευκολο και απροβληματιστο (και συνηθως αυτες οι σελιδες ειναι διανομων οπως ουμπουντου, μιντ, κλπ). απο κατι ουμπουντου φορουμ εχω δει κατι επικες ηλιθιοτητες που εχουν γραψει κατα καιρους που με σηκωνεται η τριχα. θυμαμαι σε μια αλλη σελιδα που καποιος με ουμπουντου εχασε το γραφικο και το φορουμ του ουμπουντου «προτειναν» να πεταξει τον xserver
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#3
(29.08.2018 23:27)DarkGoth είπε κι ελάλησε: μηπως...  κατι δεν το παει καλα με τα ελληνικα

Δοκίμασα με αρχείο που το όνομα και η θέση του δεν έχουν Ελληνικά αλλά το μήνυμα είναι αυτό


Κώδικας:
Το άνοιγμα του '/mnt/c7b13c5c-bb73-4721-b015-8754b4868da5/home/loukas/speed dial.jpg' απέτυχε:

Αδυναμία ανοίγματος '/mnt/c7b13c5c-bb73-4721-b015-8754b4868da5/home/loukas/speed dial.jpg' για ανάγνωση: No such file or directory

όταν αντέγραψα κάποιο αρχείο στον βασικό σκληρό δουλεψε κανονικά.

Δεν έβαλα πρόσθετα στο πρόγραμμα. έκανα εγκατάσταση και ο υπολογιστής τώρα έχει και το 2.8 και το 2.10
  Απάντηση
#4
το ιδιο το προγραμμα δεν το βρηκες στις επισημες πηγες του ουμπουντου. το εβαλες προσθετο απο αλλη πηγη. αρα το ιδιο το προγραμμα ειναι προσθετο. δεν ειναι απο τα επισημα της διανομης. τεσπα. τα αρχεια που εχεις στον εξτρα σκληρο δοκιμασες να τα ανοιξεις και με αλλο προγραμμα; (π.χ. με τον γκοτζιλλα, η, με καποιο image viewer). κανονικα θα πρεπει να ανοιγουν αν δεν υπαρχει καποιο θεμα με τον σκληρο (π.χ. λαθος ρυθμισμενα δικαιωματα προσβασης), η, αν δεν εχουν προβλημα τα ιδια τα αρχεια.

αν μονο το gimp 2.10 βγαζει αυτο το προβλημα, τοτε ειναι προφανως προβληματικο (που ειμαι σιγουρος οτι ειναι θεμα του 2.10 αλλα τεσπα). τωρα τι προβλημα θα εχει τρεχα γυρευε αφου δεν αναφερει τιποτα. μπορει λειπει κατι και να μην αναγνωριζεται απο τα desktop-file-utils (προγραμματακι που καθοριζει με τι προγραμμα ανοιγει το καθε αρχειο), μπορει να μην αναγνωριζεται απο το xdg (αυτο βγαζει προεπιλεγμενες ενεργειες για τα αρχεια στο συστημα) για να πει στο συστημα ανοιξε την ταδε εικονα με αυτο, μπορει να λειπουν symlinks και το συστημα να μην βλεπει το συγκεκριμενο προγραμμα, η, το προγραμμα να μην βλεπει τμηματα του συστηματος (αυτο συμβαινει πολυ συχνα σε portable προγραμματα)

θα κανω δοκιμη να το εγκαταστησω στο σαπιο μου να δω τι παιζει και αν κανει τα ιδια
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#5
μολις ειδα οτι το συγκεκριμενο ειναι snap package. αυτο και μονο τα εξηγει ολα. στο σαπιο μου δεν μπαινει το snap για να δοκιμασω τι γινεται
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#6
Δεν είναι εκπληκτικό το πώς κάτι που φτιάχτηκε για να δουλεύει παντού τελικά δε δουλεύει παντού χωρίς να χρειαστεί να κάνεις κάτι;

Ας σοβαρευτούμε όμως. Γκουχ. Επισήμανση: δεν έχω snap, είναι του Σατανά.

Φίλε Λουκά, θα ανοίξεις το τερματικό σου και θα δώσεις

Κώδικας:
sudo snap connect gimp:removable-media

κι έπειτα θα δοκιμάσεις να ανοίξεις κάποια εικόνα που δεν άνοιγε πριν. Αν δουλέψει, θα σου εξηγήσω και το γιατί για να το ξέρεις αν τυχόν σου ξαναχρειαστεί. Αν δε δουλέψει, σχώρα με που σε έκανα να ελπίζεις.
Το άπλυτο κορμί το πλένεις. Καθαρίζει. Η βρόμικη ψυχή πώς πλένεται;
  Απάντηση
#7
To πρόβλημα στο πρόγραμμα δεν λύθηκε με την εισαγωγή του
 
Κώδικας:
sudo snap connect gimp:removable-media

οπότε το απεγκατέστησα.


Στην ιστοσελίδα του gimp to δίνει μέσω flatpak αλλά από το τελευταίο έχω πρόβλημα να εγκαταστήσω το Software Flatpak plugin

 σύμφωνα με τις οδηγίες της σελίδας  : https://flatpak.org/setup/Ubuntu/  Ενώ τις πρώτες τρεις εντολές του Install Flatpak τις τρέχει κανονικά το τερματικό στην εντολή
Κώδικας:
sudo apt install gnome-software-plugin-flatpak

για την εγκατάσταση του Software Flatpak plugin με βγάζει απάντηση :

Κώδικας:
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
E: Αδυναμία εντοπισμού του πακέτου gnome-software-plugin-flatpak

οπότε το αρχείο που κατέβασα : org.gimp.GIMP.flatpakref το σύστημα το ανοίγει ως κείμενο

Παρά το παραπάνω πρόβλημα έβαλα την εντολή : 

Κώδικας:
flatpak install https://flathub.org/repo/appstream/org.gimp.GIMP.flatpakref


όπως λέει η : https://www.gimp.org/downloads/ και το πρόγραμμα εγκαταστάθηκε χωρίς το πρόβλημα που είχε προηγουμένως .

Για το Software Flatpak plugin γίνεται τίποτα;
  Απάντηση
#8
τετοια προβληματα συμβαινουν γιατι τα flatpak, snap, κλπ ουσιαστικα εγκαθιστωνται μεσα σε container κατα καποιο τροπο σαν portable αυτονομα apps μαζι με οτι χρειαζονται (θεωρητικα) για να δουλεψουν «παντου». ετσι δεν εχουν πληρη ενσωματωση στο λειτουργικο, με αποτελεσμα να μην μπορουν να κανουν διαφορα ευνοητα (οπως π.χ. να αναγνωριζουν σωστα αρχεια σε προσθετο σκληρο και να θελουν «χακιες»)

ουσιαστικα με τα flatpak, snap, τωρα «ξανα-ανακαλυψαμε» το javaVM-container plugin με αλλο κουστουμακι. γι'αυτο και εχει ΑΚΡΙΒΩΣ τα ιδια προβληματα που ειχε και το javaVM. ελλειπης ενσωματωση στο λειτουργικο, ασταθειες, ασφαλεια (ζουν καπου 1 χρονο τα snaps και ηδη βρεθηκε snap με σκουπιδι μεσα πριν κατι μηνες. στα packaging συστηματα των διανομων εδω και 30 χρονια κατι τετοιο δεν εχει συμβει ποτε)

αντε με το καλο να εχουμε και registry και ΜΟΝΟ webapps απο του χρονου
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#9
Το πακέτο gnome-software-plugin-flatpak δεν υπάρχει σε Ubuntu 16.04 γιατί δεν το υποστηρίζει η έκδοση του GNOME που έχει η συγκεκριμένη LTS. Γιατί όμως δεν πήγες σε 18.04 LTS αφού έκανες επανεγκατάσταση έτσι κι αλλιώς;
Το άπλυτο κορμί το πλένεις. Καθαρίζει. Η βρόμικη ψυχή πώς πλένεται;
  Απάντηση
#10
(30.08.2018 16:29)Soulrain είπε κι ελάλησε: Γιατί όμως δεν πήγες σε 18.04 LTS αφού έκανες επανεγκατάσταση έτσι κι αλλιώς;

Δεν έκανα επανεγκατάσταση το λειτουργικό αλλά το πρόγραμμα. Αν δεν προκύψει κάτι λέω να κάνω αναβάθμιση στο 20.04...
  Απάντηση


Ίσως Σχετικά Νήματα...
Νήμα Άτομο Απαντήσεις Βλεφαριάσματα Τελευταία Ανάρτηση
  Λειτουργίες gimp blackm76 28 3.005 12.02.2015 04:04
Τελευταία Ανάρτηση: blackm76

Πάμε στο Forum:


Πλάσματα σουλατσάρουν στο νήμα: 1 Επισκέπτης(ες)